Fooocus Image Prompt
انٹیگریٹ کریں
fooocus/image-prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ur/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
}
Doitong API کے ذریعے Fooocus Image Prompt ماڈل (fooocus/image-prompt) کو کال کریں۔ ایجنٹس کے لیے دستاویزات: https://doitong.com/ur/developers/models/fooocus/image-prompt.md
POST https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
اگر جواب کی اسٹیٹس "queued" یا "running" ہو تو GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 کو اس وقت تک پول کریں جب تک یہ "succeeded" نہ ہو جائے؛ فائلیں outputs[].url میں ہیں۔ رن سے پہلے درست قیمت حاصل کرنے کے لیے اسی باڈی کے ساتھ POST https://api.doitong.com/v1/quote/fooocus/image-prompt کریں۔
یہ درخواست: ≈$0.085 85 API کریڈٹس اس صفحے پر چلائیں
آپ کی نئی API کلید۔ یہ صرف ابھی دکھائی جاتی ہے اور پہلے ہی نیچے موجود کوڈ اور API کلید کے فیلڈ میں شامل ہے۔ اسے خفیہ رکھیں: اسے کبھی بھی ایسے کوڈ میں شامل نہ کریں جو براؤزر میں چلتا ہو۔
آپ کا پہلا نتیجہ یہاں آئے گا
ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔
درخواست بنائیں
کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔
/run/fooocus/image-prompt?wait=20
قیمت → $0.085
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/image-prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/fooocus/image-prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/fooocus/image-prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "fooocus/image-prompt",
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"wait_seconds": 20
}
}
}
یہ درخواست چلائیں
آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں
Fooocus Image Prompt کے بارے میں
یہ `image_prompt_1` (لازمی) اور مزید تین تک تصویری پرامپٹس استعمال کرتا ہے تاکہ ٹیکسٹ `prompt` کے ساتھ تخلیق کی رہنمائی کی جا سکے۔ یہ `inpaint_mode` کے ساتھ ان پینٹنگ اور آؤٹ پینٹ کی سمتیں، اور تبدیل کرنے یا اپ اسکیل کرنے کے لیے `uov_method` بھی فراہم کرتا ہے۔ اسٹائل پری سیٹس، LoRAs، `performance` موڈز اور فی درخواست 1 سے 4 آؤٹ پٹ سپورٹڈ ہیں۔
پیرامیٹرز
معیاری نام یا مقامی نام میں سے صرف ایک بھیجیں، دونوں نہیں۔ معیاری نام
promptاختیاری
negative_promptاختیاری
stylesاختیاری
performanceاختیاری
guidance_scaleاختیاری
sharpnessاختیاری
aspect_ratioاختیاری
num_imagesاختیاری
num_outputs
lorasاختیاری
loras[].pathلازمی
loras[].scaleاختیاری
refiner_modelاختیاری
refiner_switchاختیاری
output_formatاختیاری
seedاختیاری
image_prompt_1لازمی
image_prompt_1.typeاختیاری
image_prompt_1.image_urlاختیاری
image_prompt_1.stop_atاختیاری
image_prompt_1.weightاختیاری
image_prompt_2اختیاری
image_prompt_2.typeاختیاری
image_prompt_2.image_urlاختیاری
image_prompt_2.stop_atاختیاری
image_prompt_2.weightاختیاری
image_prompt_3اختیاری
image_prompt_3.typeاختیاری
image_prompt_3.image_urlاختیاری
image_prompt_3.stop_atاختیاری
image_prompt_3.weightاختیاری
image_prompt_4اختیاری
image_prompt_4.typeاختیاری
image_prompt_4.image_urlاختیاری
image_prompt_4.stop_atاختیاری
image_prompt_4.weightاختیاری
inpaint_image_urlاختیاری
mask_image_urlاختیاری
inpaint_modeاختیاری
inpaint_additional_promptاختیاری
outpaint_selectionsاختیاری
mixing_image_prompt_and_inpaintاختیاری
uov_image_urlاختیاری
uov_methodاختیاری
mixing_image_prompt_and_vary_upscaleاختیاری
enable_safety_checkerاختیاری
فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں
آؤٹ پٹ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "fooocus/image-prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 85,
"usd": "0.085",
"charged": 85,
"refunded": 0
},
"input": {
"image_prompt_1": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"timings": {},
"has_nsfw_concepts": [
false
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
آؤٹ پٹ کے فیلڈز
- images
- array of object {url, content_type, file_name, file_size, width, height}تخلیق شدہ تصویر کی فائل کی معلومات۔
- timings
- objectتخلیق میں گزرا ہوا وقت۔
- has_nsfw_concepts
- array of booleanبتاتا ہے کہ تخلیق کردہ تصاویر میں NSFW تصورات موجود ہیں یا نہیں۔
دیگر Fooocus ورژنز
مزید ماڈلز: متن سے تصویر
AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/fooocus/image-prompt.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt







